CREATE TABLE hts_sched_violation_msg_tkns (
    SCHED_VIOLATION_MSG_TKN_ID    NUMBER(18, 0),
    SCHED_VIOLATION_ID            NUMBER(18, 0)    NOT NULL,
    SCHED_FULL_VALIDATION_ID      NUMBER(18, 0)    NOT NULL,
    TOKEN_NAME                    VARCHAR2(120)    NOT NULL,
    TOKEN_TYPE_CODE               VARCHAR2(120)    NOT NULL,
    TOKEN_DATA_TYPE_CODE          VARCHAR2(120)    NOT NULL,
    TOKEN_NUMBER_VALUE            NUMBER       ,
    TOKEN_LOOKUP_TYPE             VARCHAR2(120),
    TOKEN_STRING_VALUE            VARCHAR2(120),
    TOKEN_DATE_VALUE              DATE         ,
    CREATED_BY                    VARCHAR2(256)    NOT NULL,
    CREATION_DATE                 TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY               VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE              TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN             VARCHAR2(128),
    OBJECT_VERSION_NUMBER         NUMBER(9, 0)     NOT NULL,
    ENTERPRISE_ID                 NUMBER(18, 0)    NOT NULL,
    SCHED_VIOLATION_MSG_TKN_ID    NUMBER(18, 0),
    SCHED_VIOLATION_ID            NUMBER(18, 0)    NOT NULL,
    SCHED_FULL_VALIDATION_ID      NUMBER(18, 0)    NOT NULL,
    TOKEN_NAME                    VARCHAR2(120)    NOT NULL,
    TOKEN_TYPE_CODE               VARCHAR2(120)    NOT NULL,
    TOKEN_DATA_TYPE_CODE          VARCHAR2(120)    NOT NULL,
    TOKEN_NUMBER_VALUE            NUMBER       ,
    TOKEN_LOOKUP_TYPE             VARCHAR2(120),
    TOKEN_STRING_VALUE            VARCHAR2(120),
    TOKEN_DATE_VALUE              DATE         ,
    CREATED_BY                    VARCHAR2(256)    NOT NULL,
    CREATION_DATE                 TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY               VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE              TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN             VARCHAR2(128),
    OBJECT_VERSION_NUMBER         NUMBER(9, 0)     NOT NULL,
    ENTERPRISE_ID                 NUMBER(18, 0)    NOT NULL,
    CONSTRAINT pk_hts_sched_violation_msg_tkns PRIMARY KEY (SCHED_VIOLATION_MSG_TKN_ID, SCHED_VIOLATION_MSG_TKN_ID)
);
